Subject: bug#47428: Problems building the up-to-date "devel" manual for the website

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 02 Apr 2021 11:21:19 +0200

> This causes the build failure. However, we do not have this makeinfo
> error on the master guile-lib. That's because the docs are not compiled
> for a reason I don't understand.

Ok so I finally understand sorry for the spamming. Guile-lib contains
a pre-compiled docs/guile-library.info. This means that the "doc" target
is not run.

However, when the 1.2.0 guile-lib/htmlprag-fixed inherits from the
recent [email-masked], it modifies the sources, causing a doc rebuild,
failing because texinfo is missing.

I have cherry-picked 25db3b2f8bb4a18e9405d2cd32aa899e0007f236 on the
1.2.0 branch to fix it.

There's another error though:

--8<---------------cut here---------------start------------->8---
). Please consider running po4a-updatepo to refresh it.
Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
). Please consider running po4a-updatepo to refresh it.
mmap(PROT_NONE) failed
builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu